Subject: Re: [PATCH 8/8] AFS: Add security support

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 11 Apr 2007 15:38:44 -0400

On Wed, Apr 11, 2007 at 08:10:37PM +0100, David Howells wrote:
> Add security support to the AFS filesystem.  Kerberos IV tickets are
> added as RxRPC keys are added to the session keyring with the klog
> program.  open() and other VFS operations then find this ticket with
> request_key() and either use it immediately (eg: mkdir, unlink) or
> attach it to a file descriptor (open).

Just curious--when is the actual crypto done?  There doesn't seem to be
any in this patch.

--b.